create table authors(
	au_id		varchar(11)	NOT NULL,
	au_lname	varchar(40) NOT NULL,
	au_fname	varchar(20)	NOT NULL
);

create table titles(
	title_id	varchar(6)	NOT NULL,
	title		varchar(80)	NOT NULL,
	ytd_sales	int		NULL
);

create table titleauthor(
	au_id		varchar(11)	NOT NULL,
	title_id	varchar(6)	NOT NULL
);

insert into authors(au_id, au_lname, au_fname) values("172-32-1176", "White", "Johnson");
insert into authors(au_id, au_lname, au_fname) values("213-46-8915", "Green", "Marjorie");
insert into authors(au_id, au_lname, au_fname) values("238-95-7766", "Carson", "Cheryl");
insert into authors(au_id, au_lname, au_fname) values("267-41-2394", "O'Leary", "Michael");
insert into authors(au_id, au_lname, au_fname) values("274-80-9391", "Straight", "Dean");
insert into authors(au_id, au_lname, au_fname) values("341-22-1782", "Smith", "Meander");
insert into authors(au_id, au_lname, au_fname) values("409-56-7008", "Bennet", "Abraham");
insert into authors(au_id, au_lname, au_fname) values("427-17-2319", "Dull", "Ann");
insert into authors(au_id, au_lname, au_fname) values("486-29-1786", "Locksley", "Charlene");
insert into authors(au_id, au_lname, au_fname) values("527-72-3246", "Greene", "Morningstar");
insert into authors(au_id, au_lname, au_fname) values("648-92-1872", "Blotchet-Halls", "Reginald");
insert into authors(au_id, au_lname, au_fname) values("672-71-3240", "Yokomoto", "Akiko");
insert into authors(au_id, au_lname, au_fname) values("712-45-1867", "del Castillo", "Innes");
insert into authors(au_id, au_lname, au_fname) values("722-51-5454", "DeFrance", "Michel");
insert into authors(au_id, au_lname, au_fname) values("724-08-9931", "Stringer", "Dirk");
insert into authors(au_id, au_lname, au_fname) values("724-80-9391", "MacFeather", "Stearns");
insert into authors(au_id, au_lname, au_fname) values("756-30-7391", "Karsen", "Livia");
insert into authors(au_id, au_lname, au_fname) values("807-91-6654", "Panteley", "Sylvia");
insert into authors(au_id, au_lname, au_fname) values("846-92-7186", "Hunter", "Sheryl");
insert into authors(au_id, au_lname, au_fname) values("893-72-1158", "McBadden", "Heather");
insert into authors(au_id, au_lname, au_fname) values("899-46-2035", "Ringer", "Anne");
insert into authors(au_id, au_lname, au_fname) values("998-72-3567", "Ringer", "Albert");

insert into titles(title_id, title, ytd_sales) values("BU1032", "The Busy Executive's Database Guide", 4095);
insert into titles(title_id, title, ytd_sales) values("BU1111", "Cooking with Computers: Surreptitious Balance Sheets", 3876);
insert into titles(title_id, title, ytd_sales) values("BU2075", "You Can Combat Computer Stress!", 18722);
insert into titles(title_id, title, ytd_sales) values("BU7832", "Straight Talk About Computers", 4095);
insert into titles(title_id, title, ytd_sales) values("MC2222", "Silicon Valley Gastronomic Treats", 2032);
insert into titles(title_id, title, ytd_sales) values("MC3021", "The Gourmet Microwave", 22246);
insert into titles(title_id, title, ytd_sales) values("MC3026", "The Psychology of Computer Cooking", NULL);
insert into titles(title_id, title, ytd_sales) values("PC1035", "But Is It User Friendly?", 8780);
insert into titles(title_id, title, ytd_sales) values("PC8888", "Secrets of Silicon Valley", 4095);
insert into titles(title_id, title, ytd_sales) values("PC9999", "Net Etiquette", NULL);
insert into titles(title_id, title, ytd_sales) values("PS1372", "Computer Phobic AND Non-Phobic Individuals: Behavior Variations", 375);
insert into titles(title_id, title, ytd_sales) values("PS2091", "Is Anger the Enemy?", 2045);
insert into titles(title_id, title, ytd_sales) values("PS2106", "Life Without Fear", 111);
insert into titles(title_id, title, ytd_sales) values("PS3333", "Prolonged Data Deprivation: Four Case Studies", 4072);
insert into titles(title_id, title, ytd_sales) values("PS7777", "Emotional Security: A New Algorithm", 3336);
insert into titles(title_id, title, ytd_sales) values("TC3218", "Onions, Leeks, and Garlic: Cooking Secrets of the Mediterranean", 375);
insert into titles(title_id, title, ytd_sales) values("TC4203", "Fifty Years in Buckingham Palace Kitchens", 15096);
insert into titles(title_id, title, ytd_sales) values("TC7777", "Sushi, Anyone?", 4095);

insert into titleauthor(au_id, title_id) values("172-32-1176","PS3333");
insert into titleauthor(au_id, title_id) values("213-46-8915","BU1032");
insert into titleauthor(au_id, title_id) values("213-46-8915","BU2075");
insert into titleauthor(au_id, title_id) values("238-95-7766","PC1035");
insert into titleauthor(au_id, title_id) values("267-41-2394","BU1111");
insert into titleauthor(au_id, title_id) values("267-41-2394","TC7777");
insert into titleauthor(au_id, title_id) values("274-80-9391","BU7832");
insert into titleauthor(au_id, title_id) values("409-56-7008","BU1032");
insert into titleauthor(au_id, title_id) values("427-17-2319","PC8888");
insert into titleauthor(au_id, title_id) values("472-27-2349","TC7777");
insert into titleauthor(au_id, title_id) values("486-29-1786","PC9999");
insert into titleauthor(au_id, title_id) values("486-29-1786","PS7777");
insert into titleauthor(au_id, title_id) values("648-92-1872","TC4203");
insert into titleauthor(au_id, title_id) values("672-71-3249","TC7777");
insert into titleauthor(au_id, title_id) values("712-45-1867","MC2222");
insert into titleauthor(au_id, title_id) values("722-51-5454","MC3021");
insert into titleauthor(au_id, title_id) values("724-80-9391","BU1111");
insert into titleauthor(au_id, title_id) values("724-80-9391","PS1372");
insert into titleauthor(au_id, title_id) values("756-30-7391","PS1372");
insert into titleauthor(au_id, title_id) values("807-91-6654","TC3218");
insert into titleauthor(au_id, title_id) values("846-92-7186","PC8888");
insert into titleauthor(au_id, title_id) values("899-46-2035","MC3021");
insert into titleauthor(au_id, title_id) values("899-46-2035","PS2091");
insert into titleauthor(au_id, title_id) values("998-72-3567","PS2091");
insert into titleauthor(au_id, title_id) values("998-72-3567","PS2106");
